Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::exclusive_scan_fn Struct Reference
Inheritance diagram for ranges::views::exclusive_scan_fn:

## Synopsis of methods
constexpr exclusive_scan_fn | exclusive_scan {}

## Public Member Functions
template<typename T , typename Fun = plus>
constexpr auto | operator() (T init, Fun fun={}) const
Public Member Functions inherited from ranges::views::exclusive_scan_base_fn
template<typename Rng , typename T , typename Fun = plus>
constexpr exclusive_scan_view< all_t< Rng >, T, Fun > | operator() (Rng &&rng, T init, Fun fun=Fun{}) const